Tag Parser: TagParser::Mpeg4ChannelConfigs Namespace Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Enumerations | Functions
TagParser::Mpeg4ChannelConfigs Namespace Reference

Encapsulates all supported MPEG-4 channel configurations. More...

## Enumerations
enum | Mpeg4ChannelConfig : std::uint8_t { AotSpecificConfig = 0 , FrontCenter , FrontLeftFrontRight , FrontCenterFrontLeftFrontRight , FrontCenterFrontLeftFrontRightBackCenter , FrontCenterFrontLeftFrontRightBackLeftBackRight , FrontCenterFrontLeftFrontRightBackLeftBackRightLFEChannel , FrontCenterFrontLeftFrontRightSideLeftSideRightBackLeftBackRightLFEChannel }

## Functions
TAG_PARSER_EXPORT std::string_view | channelConfigString (std::uint8_t config)
| Returns the string representation for the specified MPEG-4 channel config.
TAG_PARSER_EXPORT std::uint8_t | channelCount (std::uint8_t config)
| Returns the channel count for the specified MPEG-4 channel config.

## Detailed Description

Encapsulates all supported MPEG-4 channel configurations.

## Enumeration Type Documentation

## ◆ Mpeg4ChannelConfig

enum TagParser::Mpeg4ChannelConfigs::Mpeg4ChannelConfig : std::uint8_t

Enumerator
AotSpecificConfig |
FrontCenter |
FrontLeftFrontRight |
FrontCenterFrontLeftFrontRight |
FrontCenterFrontLeftFrontRightBackCenter |
FrontCenterFrontLeftFrontRightBackLeftBackRight |
FrontCenterFrontLeftFrontRightBackLeftBackRightLFEChannel |
FrontCenterFrontLeftFrontRightSideLeftSideRightBackLeftBackRightLFEChannel |

Definition at line 633 of file mp4ids.h.

## Function Documentation

## ◆ channelConfigString()

std::string_view TagParser::Mpeg4ChannelConfigs::channelConfigString | ( | std::uint8_t | config | ) |

Returns the string representation for the specified MPEG-4 channel config.

Definition at line 439 of file mp4ids.cpp.

## ◆ channelCount()

std::uint8_t TagParser::Mpeg4ChannelConfigs::channelCount | ( | std::uint8_t | config | ) |

Returns the channel count for the specified MPEG-4 channel config.

Definition at line 466 of file mp4ids.cpp.